Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.ui
Interface IPluginExtraTabView

    com.change_vision.jude.api.inf.ui.IPluginExtraTabView

All Known Implementing Classes:
  IPluginExtraTabView.Stub

    public IPluginExtraTabView

Interface to add new tab to the extra view by Plug-in.
Please refer to the Astah Plug-in tutorial to add your tab to the extra view.

Nested Class Summary
`class` | `IPluginExtraTabView.Stub` The stub implementation of IPluginExtraTabView

Method Summary
`abstract void` | `activated()` This method is called when the tab is activated by the application.
`abstract void` | `addSelectionListener(ISelectionListener listener)` This method is called by application to add a listener to know what is selected in the tab.
`abstract void` | `deactivated()` This method is called when the tab is deactivated by the application.
`abstract Component` | `getComponent()` Implement to show the tab's content
`abstract String` | `getDescription()` Implement to show the description of the tab
`abstract String` | `getTitle()` Implement to show the title of the tab.

Method Detail

### getTitle

    abstract String getTitle()

  Implement to show the title of the tab.

  Returns:
    title the title of the tab

### getDescription

    abstract String getDescription()

  Implement to show the description of the tab

  Returns:
    description the description of the tab

### getComponent

    abstract Component getComponent()

  Implement to show the tab's content

  Returns:
    component the content of the tab

### addSelectionListener

    abstract void addSelectionListener(ISelectionListener listener)

  This method is called by application to add a listener to know what is selected in the tab.

  Parameters:
    `listener` - the listener added by the application

### activated

    abstract void activated()

  This method is called when the tab is activated by the application.

### deactivated

    abstract void deactivated()

  This method is called when the tab is deactivated by the application.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD